Bug 586350 - gscan2pdf save scanned document option not available
Summary: gscan2pdf save scanned document option not available
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gscan2pdf (Show other bugs)
(Show other bugs)
Version: 13
Hardware: x86_64 Linux
low
high
Target Milestone: ---
Assignee: Bernard Johnson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-27 11:33 UTC by Boricua
Modified: 2010-08-20 01:37 UTC (History)
6 users (show)

Fixed In Version: gscan2pdf-0.9.31-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 01:11:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gscan2pdf output (1.62 KB, application/octet-stream)
2010-04-27 11:33 UTC, Boricua
no flags Details
Screenshot of hung scan in 0.9.30-3 (115.99 KB, image/png)
2010-06-09 15:26 UTC, Bob Schultz
no flags Details
Debug printout of 0.9.30-6 scan attempt (17.61 KB, text/plain)
2010-06-09 17:45 UTC, Bob Schultz
no flags Details

Description Boricua 2010-04-27 11:33:06 UTC
Created attachment 409445 [details]
gscan2pdf output

Description of problem: After a successful scan, gscan2pdf's save option remains unavailable, thus preventing from saving the document.


Version-Release number of selected component (if applicable):


How reproducible: Each time I run the program.


Steps to Reproduce:
1.Start gscan2pdf.
2.Scan one or more pages.
3.Close the scanning window.
  
Actual results: Save menu option and icon remain gray.

Expected results: Save option to be available right away after successful scan.

Additional info: The email scanned document remains available, but hen I try to send the document I get an error message instead from Thunderbird, and a message from gscan2pdf: "Error compressing image: sh: tiffcp: command not found." Once I close this last message window, I get the following: "Error creating PDF image object: Wrong TIFF Id '' (should be 42). at /usr/share/perl5/PDF/API2/Resource/XObject/Image/TIFF.pm line 408." Finally, when I close gscan2pdf with the scanned document, I do not get a warning to save it before closing. I am adding an attachment with the output from the command prompt.

Comment 1 Konstantin Ryabitsev 2010-04-28 18:28:33 UTC
Yeah, it definitely requires libtiff-tools to allow saving of documents. Boricua: you can fix by running "yum install libtiff-tools".

Comment 2 Boricua 2010-04-28 18:46:58 UTC
(In reply to comment #1)
> Yeah, it definitely requires libtiff-tools to allow saving of documents.
> Boricua: you can fix by running "yum install libtiff-tools".    

Ahhh, a missing dependency! gscan2pdf is now working beautifully after installing libtiff-tools. Thanks, Konstantin.

Comment 3 Bernard Johnson 2010-05-03 18:19:56 UTC
Thanks, I'll make sure this is updated in the next build.

Comment 4 Fedora Update System 2010-05-09 16:29:33 UTC
gscan2pdf-0.9.30-6.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gscan2pdf-0.9.30-6.fc13

Comment 5 Fedora Update System 2010-05-09 16:30:44 UTC
gscan2pdf-0.9.30-6.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gscan2pdf-0.9.30-6.fc12

Comment 6 Fedora Update System 2010-05-10 17:04:26 UTC
gscan2pdf-0.9.30-6.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscan2pdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gscan2pdf-0.9.30-6.fc12

Comment 7 Fedora Update System 2010-05-10 21:50:03 UTC
gscan2pdf-0.9.30-6.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscan2pdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gscan2pdf-0.9.30-6.fc13

Comment 8 Boricua 2010-05-11 13:36:22 UTC
The update fixed the issue, as well as that reported in bug 581136. However, I started noticing an unusual delay when gscan2pdf tries to search and update setting configurations for my two scanners, forcing me sometimes to abort and trying again. I just noticed this behavior after installing this latest update. Please let me know if I should file a new bug report.

Comment 9 Bernard Johnson 2010-05-11 16:11:06 UTC
There were no changes that should have caused something like that.  I'd suggest that you:

a) try a reboot and see if that clears it up
b) remove the gscan2pdf-0.9.30-6 update and replace with the current released package (gscan2pdf-0.9.30-3) and see if it still happens

If you're still seeing the issue, please open another bug report; Also if it appears to be a regression between version, note that in the new bug report.

Comment 10 John Paul Adrian Glaubitz 2010-05-12 08:15:42 UTC
Hi,

hmm, I just updated gscan2pdf from the testing repository and this did not install the libtiff-tools over dependencies (see output below). Am I missing something?

Adrian

glaubitz@oslo:~> su -c 'yum --enablerepo=updates-testing update gscan2pdf'
Password: 
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
updates-testing/metalink                                                                         |  23 kB     00:00     
updates-testing                                                                                  | 4.4 kB     00:00     
updates-testing/primary_db                                                                       | 927 kB     00:00     
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package gscan2pdf.noarch 0:0.9.30-6.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================
 Package                   Arch                   Version                         Repository                       Size
========================================================================================================================
Updating:
 gscan2pdf                 noarch                 0.9.30-6.fc13                   updates-testing                 307 k

Transaction Summary
========================================================================================================================
Install       0 Package(s)
Upgrade       1 Package(s)

Total download size: 307 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
updates-testing/prestodelta                                                                      |  439 B     00:00     
Processing delta metadata
Package(s) data still to download: 307 k
gscan2pdf-0.9.30-6.fc13.noarch.rpm                                                               | 307 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : gscan2pdf-0.9.30-6.fc13.noarch                                                                   1/2 
  Cleanup        : gscan2pdf-0.9.30-3.fc13.noarch                                                                   2/2 

Updated:
  gscan2pdf.noarch 0:0.9.30-6.fc13                                                                                      

Complete!
glaubitz@oslo:~>

Comment 11 John Paul Adrian Glaubitz 2010-05-12 21:16:42 UTC
Hi,

I forgot to add. "libtiff-tools" were not installed at the time I tried to install "gscan2pdf-0.9.30-6.fc13.noarch" from the testing repository. So, unless I am missing something the package still doesn't install the missing dependency "libtiff-tools" and therefore saving to PDF still doesn't work unless I manually install the "libtiff-tools" package.


Adrian

Comment 12 Boricua 2010-05-12 21:53:55 UTC
(In reply to comment #9)
> There were no changes that should have caused something like that.  I'd suggest
> that you:
> 
> a) try a reboot and see if that clears it up
> b) remove the gscan2pdf-0.9.30-6 update and replace with the current released
> package (gscan2pdf-0.9.30-3) and see if it still happens
> 
> If you're still seeing the issue, please open another bug report; Also if it
> appears to be a regression between version, note that in the new bug report.    

I can confirm that a reboot did not solve the issue, but downgrading from gscan2pdf-0.9.30-6 to gscan2pdf-0.9.30-3 did the trick.  Updating of my two scanners' options is now much more fast and flawless with the current released package, contrary to the update.

Comment 13 Bob Schultz 2010-06-09 15:26:51 UTC
Created attachment 422596 [details]
Screenshot of hung scan in 0.9.30-3

Comment 14 Bob Schultz 2010-06-09 15:36:00 UTC
gscan2pdf-0.9.30-3 gets hung on scan completion. See screenshot. Cancellation
and rescan, sometimes multiple times, is necessary.

Installed Packages
gscan2pdf.noarch                        0.9.30-3.fc13                   
@fedora
libtiff.i686                            3.9.2-3.fc13                    
@fedora
libtiff.x86_64                          3.9.2-3.fc13                    
@fedora
libtiff-tools.x86_64                    3.9.2-3.fc13                    
@fedora


gscan2pdf-0.9.30-6 does not work at all.

Running Transaction
  Updating       : gscan2pdf-0.9.30-6.fc13.noarch                           1/2 
  Cleanup        : gscan2pdf-0.9.30-3.fc13.noarch                           2/2 

Updated:
  gscan2pdf.noarch 0:0.9.30-6.fc13                                              


no scan images are produced, and new scan requests are always for page 1.
gscan2pdf worked fine in F12 on this machine before upgrade to F13. For what
it's worth, this is a 64-bit system using a i7-920 cpu with a hp5590 scanner.
Regression to 0.9.30-3 restores the fractured functionality.

Comment 15 Bob Schultz 2010-06-09 17:45:36 UTC
Created attachment 422631 [details]
Debug printout of 0.9.30-6 scan attempt

This is a debug run of 0.9.30-6, which doesn't produce any scan images.

Comment 16 Alex Lancaster 2010-06-17 18:49:31 UTC
I can also confirm comment #11, the "Requires: libtiff-tools" has still yet to be added in this update to allow saving of PDFs.

Comment 17 Alex Lancaster 2010-06-17 19:48:33 UTC
(In reply to comment #15)
> Created an attachment (id=422631) [details]
> Debug printout of 0.9.30-6 scan attempt
> 
> This is a debug run of 0.9.30-6, which doesn't produce any scan images.    

I had problems initially too with 0.9.30-6.  Then I deleted my ~/.gscan2pdf file and re-ran it and scans now work.  

And, although I still get console messages like this:

*** unhandled exception in callback:
***   Can't call method "hide_all" on an undefined value at /usr/bin/gscan2pdf line 5437.
***  ignoring at /usr/bin/gscan2pdf line 12063.

They don't appear to be fatal to generating and saving as a PDF.

Comment 18 Bob Schultz 2010-06-20 16:56:30 UTC
Successful resolution to my comments 13,14,15, and confirmation (and thanks) of advise in comment 17. I also deleted my ~/.gscan2pdf file, and voila, both version 0.9.30-3 and version 0.9.30-6 now work fine from the tests I've run so far. This system started as a fresh F12 install in Nov. and was recently upgraded to F13. Possibly the config file was remnant from the F12 version, and led to corruption problems. In any case, it appears that deletion of the config file should be the first step in troubleshooting, and possibly the install process should delete or rename the file on upgrades.

Comment 19 Fedora Update System 2010-08-08 15:52:39 UTC
gscan2pdf-0.9.31-1.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/gscan2pdf-0.9.31-1.fc14

Comment 20 Fedora Update System 2010-08-08 15:53:42 UTC
gscan2pdf-0.9.31-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gscan2pdf-0.9.31-1.fc13

Comment 21 Fedora Update System 2010-08-10 01:28:41 UTC
gscan2pdf-0.9.31-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscan2pdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gscan2pdf-0.9.31-1.fc14

Comment 22 Fedora Update System 2010-08-10 21:42:56 UTC
gscan2pdf-0.9.31-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gscan2pdf'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gscan2pdf-0.9.31-1.fc13

Comment 23 Fedora Update System 2010-08-19 01:11:42 UTC
gscan2pdf-0.9.31-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2010-08-20 01:37:08 UTC
gscan2pdf-0.9.31-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.